#!/usr/bin/perl -w
#
# Example ICQ client using Net::ICQ
#
# Last updated by gossamer on Wed Jul 15 15:19:34 EST 1998
#

use strict;
use Net::ICQ;

sub die_nicely {
   my $signal = shift;

   print STDERR "ICQ got signal $signal, exiting.\n";
   exit;

}

my $ICQ = Net::ICQ->new();

if (!$ICQ) {
   die "Failed to connect to ICQ server.\n";
}

$ICQ->signon();
print $ICQ->who("skud");

# At this point, we have a connection
